Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Class ContentAssistantFacade

    java.lang.Object
      org.eclipse.jface.text.source.ContentAssistantFacade

    public final class ContentAssistantFacade

extends Object

Facade to allow minimal access to the given content assistant.

The offered API access can grow over time.

Since:
  3.4

Constructor Summary
`ContentAssistantFacade(IContentAssistant contentAssistant)` Creates a new facade.

Method Summary
`void` `addCompletionListener(ICompletionListener listener)` Adds a completion listener that will be informed before proposals are computed.
`IHandler` `getHandler(String commandId)` Returns the handler for the given command identifier.
`void` `removeCompletionListener(ICompletionListener listener)` Removes a completion listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentAssistantFacade

    public ContentAssistantFacade(IContentAssistant contentAssistant)

  Creates a new facade.

  Parameters:
    `contentAssistant` - the content assistant which implements `IContentAssistantExtension2` and `IContentAssistantExtension4`

Method Detail

### getHandler

    public IHandler getHandler(String commandId)

  Returns the handler for the given command identifier.

  The same handler instance will be returned when called a more than once with the same command identifier.

  Parameters:
    `commandId` - the command identifier
  Returns:
    the handler for the given command identifier
  Throws:
    `IllegalArgumentException` - if the command is not supported by this content assistant
    `IllegalStateException` - if called when the content assistant is uninstalled

### addCompletionListener

    public void addCompletionListener(ICompletionListener listener)

  Adds a completion listener that will be informed before proposals are computed.

  Parameters:
    `listener` - the listener
  Throws:
    `IllegalStateException` - if called when the content assistant is uninstalled

### removeCompletionListener

    public void removeCompletionListener(ICompletionListener listener)

  Removes a completion listener.

  Parameters:
    `listener` - the listener to remove
  Throws:
    `IllegalStateException` - if called when the content assistant is uninstalled

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.